/**
 * 报告模块
 */
import {get,post} from './http'


/**
 * 研报详情
 * @param report_id 
 */
export const apiReportDetail=params=>{
    return get('/report/detail',params)
}

/**
 * 章节详情
 * @param report_chapter_id
 */
export const apiChapterDetail=params=>{
    return get('/report/chapter/detail',params)
}

/**
 * 研报首页顶部权限菜单
 */
export const apiReportIndexPageAuthList=()=>{
    return get('/company/getPermissionList',{})
}

/**
 * 研报首页报告列表
 * @param chart_permission_id
 */
export const apiReportIndexPageList=params=>{
    return get('/report/collect',params)
}

/**
 * 研报搜索
 * @param key_word
 */
export const apiReportSearch=params=>{
    return get('/report/search',params)
}

/**
 * 分类数据
 */
export const apiReportClassify=()=>{
    return get('/pc/classify',{})
}

/**
 * 研报列表
 * @param classify_id_first
 * @param key_word
 */
export const apiReportList=params=>{
    return get('/report/list',params)
}

/**
 * 二级分类列表
 * @param classify_id_first
 */
export const apiSubClassifyList=params=>{
    return get('/classify/simple/list',params)
}

/**
 * 专栏列表
 * @param classify_id_first
 */
export const apiSpecialColumnList=params=>{
    return get('/classify/list',params)
}

/**
 * 专栏详情
 * @param classify_id_second
 */
export const apiSpecialColumnDetail=params=>{
    return get('/classify/detail',params)
}

/**
 * 专栏详情中目录
 * @param classify_id_second
 * @param current_index
 * @param page_size
 */
export const apiSpecialColumnReportList=params=>{
    return get('/classify/detail/reports',params)
}

/**
 * 章节详情中指标数据
 * @param report_chapter_id
 */
export const apiChapterTickerValue=params=>{
    return get('/report/chapter/ticker',params)
}

/**
 * 研报首页上新公告背景图
 */
export const apiReportIndexNewbanner=()=>{
    return get('/pc/banner',{})
}

/**
 * 研报首页上新公共内容
 */
export const apiReportIndexNew=params=>{
    return get('/pc/latest_release',params)
}

/**
 * 专栏详情中客户评价
 */
export const apiSpecialColumnComment=params=>{
    return get('/pc/comment',params)
}