/**
 * 用户模块
 */
import {get,post} from './http'

/**
 * 获取个人信息
 */
export const apiUserInfo=()=>{
	return get('/user/info',{})
}

/**
 * 用户权限申请
 * @param business_card_url 名片地址
 * @param company_name 公司名
 * @param permission 选择的权限
 * @param real_name 姓名
 * @param source 来源：我的1、活动2、图库3、研报4
 * @param source_agent 来源平台：1:小程序、2:小程序(pc)、3:公众号、4:web(pc)
 * @param from_page 来源页面: '活动列表'、'活动详情'等
 */
export const apiApplyPermission=params=>{
	let source_agent=2
	if(window.__wxjs_environment === 'miniprogram'){
		source_agent=2
	}else{
		source_agent=4
	}
	return post('/user/apply',{...params,source_agent:source_agent})
}

/**
 * 获取用户最近一条申请单信息
 */
export const apiLastApplyRecord=(params)=>{
	return get('/user/get_last_apply_record',params)
}